Get video status and playback details
curl --request GET \
--url https://api.myeden.me/v1/videos/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myeden.me/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myeden.me/v1/videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.myeden.me/v1/videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.myeden.me/v1/videos/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "processing",
"is_available": true,
"title": "<string>",
"summary": "<string>",
"tags": [
"<string>"
],
"duration_seconds": 123,
"thumbnail_url": "<string>",
"playback": {
"playback_id": "<string>",
"hls_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Videos
Get video status and playback details
Returns the current status of an ingested video. While processing,
only basic fields are populated. Once status is ready and
is_available is true, the playback object contains Mux IDs
and HLS URL.
Requires the videos:read scope.
GET
/
v1
/
videos
/
{id}
Get video status and playback details
curl --request GET \
--url https://api.myeden.me/v1/videos/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myeden.me/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myeden.me/v1/videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.myeden.me/v1/videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.myeden.me/v1/videos/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "processing",
"is_available": true,
"title": "<string>",
"summary": "<string>",
"tags": [
"<string>"
],
"duration_seconds": 123,
"thumbnail_url": "<string>",
"playback": {
"playback_id": "<string>",
"hls_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
Send your API key as a Bearer token:
Authorization: Bearer eden_live_xxxxxxxxxxxxxxxxxxxxxxxx_yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy
Path Parameters
Example:
"vid_a7Kp9mNqR2vXyB4dH6jL8s"
Response
Video details
Available options:
processing, ready, archived, deleted Partner-supplied summary if provided at ingest, otherwise null.
Partner-supplied thumbnail if provided at ingest, otherwise the Mux-generated auto-thumbnail. Null until processing completes.
Show child attributes
Show child attributes